Subject: Re: (ngtrans) Re: draft-ietf-ngtrans-6to4-06.txt

From: Scott Bradner <[email-masked]>
Date: Tue, 15 Aug 2000 14:58:19 -0400 (EDT)

> > > So what would be aggressive enough, given that defining a timeline
> > > is clearly impossible?
> > 
> > something like
> >   This mechanism has significant scaling issues particularly in regards to
> >   the growth of the routing table.  
> 
> But this is not really the case. Basic 6to4 adds one entry, 2002::/16, to the 
> native IPv6 routing table. There are scaling issues for massive numbers of tiny 
> sites-covered by Tony's draft - and I do need to add a statement that the base
> document does not cover that situation. (Tony's draft wasn't out when
> this -06 draft was done.) So I agree that scaling should be mentioned but the
> words will be a bit different.

it adds random (from the point of view of the v6 network topology) values
below 2002::/16

> >   It is meant to be a temporary, stop-gap
> 
> I agree of course with "temporary." I object to "stop-gap", it's pejorative.
> How about "start-up"?

works for me

> >   mechanism to provide IPv6 connectivity until such a time when native-mode
> >   IPv6 connectivity is commonly provided by ISPs.  Users must assume that
> >   they will have to migrate to native IPv6 prefixes when this is the case.
> 
> Correct. In fact the only requirement is that your *own* ISP has native
> support, so it's a bit stronger.

OK

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 15 Aug 2000 14:58:28 -0500

> it adds random (from the point of view of the v6 network topology) values

Not on the native IPv6 side of the relay router - the *only* route that
goes into the native BGP4+ world is 2002::/16. If you do decide to run
BGP4+ on the 6to4 side of the relay router (which is optional), yes there
will be more specific routes that side, but it's a finite administrative
domain so there is a bound on the scaling issue. It looks as if I need
to spell that out more explicitly. 

  Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Program Director, Internet Standards & Technology, IBM 
On assignment for IBM at http://www.iCAIR.org 
Board Chairman, Internet Society http://www.isoc.org
Non-IBM email: [email-masked]